testing::internal::ParamNameGenFunc< ParamType > Struct Template Reference

`#include <gtest.h>`

## Public Types

typedef std::string | Type(const TestParamInfo< ParamType > &)

## Detailed Description

### template<class ParamType>
struct testing::internal::ParamNameGenFunc< ParamType >

Definition at line 10929 of file gtest.h.

## Member Typedef Documentation

## Type

template<class ParamType >

typedef std::string testing::internal::ParamNameGenFunc< ParamType >::Type(const TestParamInfo< ParamType > &)

Definition at line 10930 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h